Create a plain environment (no WordPress installed)
curl --request POST \
--url https://api.kinqsta.com/v2/sites/{site_id}/environments/plain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "development",
"is_premium": false
}
'{
"message": "Creating plain environment in progress",
"status": 202,
"operation_id": "environment:clone-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}WordPress Site Environments
Create a plain environment (no WordPress installed)
POST
/
sites
/
{site_id}
/
environments
/
plain
Create a plain environment (no WordPress installed)
curl --request POST \
--url https://api.kinqsta.com/v2/sites/{site_id}/environments/plain \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"display_name": "development",
"is_premium": false
}
'{
"message": "Creating plain environment in progress",
"status": 202,
"operation_id": "environment:clone-54fb80af-576c-4fdc-ba4f-b596c83f15a1"
}Documentation Index
Fetch the complete documentation index at: https://api-docs.kinqsta.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"54fb80af-576c-4fdc-ba4f-b596c83f15a1"
Body
application/json
⌘I